Ask coding questions

← Back to all posts
ModuleNotFoundError: No module named 'pyttsx3'
jsdpr137 (0)

Sir,

Need Help it shows this time error with all modules
Please Help

Comments
hotnewtop
jsdpr137 (0)

got this error
Traceback (most recent call last):
File "/opt/virtualenvs/python3/lib/python3.8/site-packages/pyttsx3/init.py", line 20, in init
eng = _activeEngines[driverName]
File "/usr/lib/python3.8/weakref.py", line 131, in getitem
o = self.data[key]
KeyError: None

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "main.py", line 6, in <module>
engine = pyttsx3.init()
File "/opt/virtualenvs/python3/lib/python3.8/site-packages/pyttsx3/init.py", line 22, in init
eng = Engine(driverName, debug)
File "/opt/virtualenvs/python3/lib/python3.8/site-packages/pyttsx3/engine.py", line 30, in init
self.proxy = driver.DriverProxy(weakref.proxy(self), driverName, debug)
File "/opt/virtualenvs/python3/lib/python3.8/site-packages/pyttsx3/driver.py", line 50, in init
self._module = importlib.import_module(name)
File "/usr/lib/python3.8/importlib/init.py", line 127, in import_module
return _bootstrap._gcd_import(name[level:], package, level)
File "<frozen importlib._bootstrap>", line 1014, in _gcd_import
File "<frozen importlib._bootstrap>", line 991, in _find_and_load
File "<frozen importlib._bootstrap>", line 975, in _find_and_load_unlocked
File "<frozen importlib._bootstrap>", line 671, in _load_unlocked
File "<frozen importlib._bootstrap_external>", line 783, in exec_module
File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
File "/opt/virtualenvs/python3/lib/python3.8/site-packages/pyttsx3/drivers/espeak.py", line 9, in <module>
from . import _espeak, toUtf8, fromUtf8
File "/opt/virtualenvs/python3/lib/python3.8/site-packages/pyttsx3/drivers/_espeak.py", line 18, in <module>
dll = cdll.LoadLibrary('libespeak.so.1')
File "/usr/lib/python3.8/ctypes/init.py", line 451, in LoadLibrary
return self._dlltype(name)
File "/usr/lib/python3.8/ctypes/init.py", line 373, in init
self._handle = _dlopen(self._name, mode)
OSError: libespeak.so.1: cannot open shared object file: No such file or directory

RYANTADIPARTHI (6006)

try doing pip install pyttsx3. If it still doesn't work, it's probably not available in repl.it

OldWizard209 (1090)

it dosen't need to be in repl.it lol. It has to be in Pypi cuz python is there on repl.it @RYANTADIPARTHI

SixBeeps (5047)

@OldWizard209 Some packages refuse to work on Repl, that's what they mean.